### Hierarchy

- unknown
  - TraderSignedWitnessMessage

## Index

### Constructors

- constructor

### Methods

- clearSenderNodeAddress
- clearSignedWitness
- getSenderNodeAddress
- getSignedWitness
- getTradeId
- getUid
- hasSenderNodeAddress
- hasSignedWitness
- serializeBinary
- setSenderNodeAddress
- setSignedWitness
- setTradeId
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new TraderSignedWitnessMessage(): TraderSignedWitnessMessage

- Inherited from jspb.Message.constructor

  #### Returns TraderSignedWitnessMessage

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): TraderSignedWitnessMessage

- - Defined in src/protobuf/pb_pb.d.ts:2059

  #### Returns TraderSignedWitnessMessage

### clearSignedWitness

- clearSignedWitness(): TraderSignedWitnessMessage

- - Defined in src/protobuf/pb_pb.d.ts:2064

  #### Returns TraderSignedWitnessMessage

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:2056

  #### Returns undefined | NodeAddress

### getSignedWitness

- getSignedWitness(): undefined | SignedWitness

- - Defined in src/protobuf/pb_pb.d.ts:2061

  #### Returns undefined | SignedWitness

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:2053

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:2050

  #### Returns string

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2058

  #### Returns boolean

### hasSignedWitness

- hasSignedWitness(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2063

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2066

  #### Returns Uint8Array

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): TraderSignedWitnessMessage

- - Defined in src/protobuf/pb_pb.d.ts:2057

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns TraderSignedWitnessMessage

### setSignedWitness

- setSignedWitness(value?: SignedWitness ): TraderSignedWitnessMessage

- - Defined in src/protobuf/pb_pb.d.ts:2062

  #### Parameters

  - ##### Optional value: SignedWitness

  #### Returns TraderSignedWitnessMessage

### setTradeId

- setTradeId(value: string): TraderSignedWitnessMessage

- - Defined in src/protobuf/pb_pb.d.ts:2054

  #### Parameters

  - ##### value: string

  #### Returns TraderSignedWitnessMessage

### setUid

- setUid(value: string): TraderSignedWitnessMessage

- - Defined in src/protobuf/pb_pb.d.ts:2051

  #### Parameters

  - ##### value: string

  #### Returns TraderSignedWitnessMessage

### toObject

- toObject(includeInstance?: boolean): TraderSignedWitnessMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2067

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns TraderSignedWitnessMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): TraderSignedWitnessMessage

- - Defined in src/protobuf/pb_pb.d.ts:2070

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TraderSignedWitnessMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TraderSignedWitnessMessage, reader: BinaryReader): TraderSignedWitnessMessage

- - Defined in src/protobuf/pb_pb.d.ts:2071

  #### Parameters

  - ##### message: TraderSignedWitnessMessage

  - ##### reader: BinaryReader

  #### Returns TraderSignedWitnessMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: TraderSignedWitnessMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2069

  #### Parameters

  - ##### message: TraderSignedWitnessMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: TraderSignedWitnessMessage ): TraderSignedWitnessMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2068

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TraderSignedWitnessMessage

  #### Returns TraderSignedWitnessMessage . AsObject

Generated using TypeDoc